- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mysqlpp::UseQueryError Class Reference

Exception thrown when something goes wrong in processing a "use" query. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::UseQueryError:
[legend]
Collaboration diagram for mysqlpp::UseQueryError:
[legend]

## Public Member Functions
| UseQueryError (const char *w="")
| Create exception object.
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members
Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when something goes wrong in processing a "use" query.

The documentation for this class was generated from the following file:

- exceptions.h